Bug 33109 - afInitRate sample rate argument taken off by one
afInitRate sample rate argument taken off by one
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-25 00:53 EST by Robert M. Riches Jr.
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-11 16:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source to program that produces sound file (21.06 KB, text/plain)
2001-03-25 00:56 EST, Robert M. Riches Jr.
no flags Details
source to program that reads sound file (15.57 KB, text/plain)
2001-03-25 00:57 EST, Robert M. Riches Jr.
no flags Details
makefile for programs (316 bytes, text/plain)
2001-03-25 00:58 EST, Robert M. Riches Jr.
no flags Details

  None (edit)
Description Robert M. Riches Jr. 2001-03-25 00:53:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-4 alpha)


When calling afInitRate when creating a new sound file, an argument of
44100
produces a file with a rate of 44101.

Reproducible: Always
Steps to Reproduce:
1. Run program myrec1 (I'll try to add source as an attachment).  Give file
name as argument.
2. Run sfinfo on the output file.  This shows the 44101.
3. Run myfindbrk (I'll try to add source as an attachment). This also shows
the 44101.
	

Actual Results:  The file says its sample rate is 44101 sps.

Expected Results:  The file should say its sample rate is 44100 sps.
Comment 1 Robert M. Riches Jr. 2001-03-25 00:56:03 EST
Created attachment 13584 [details]
source to program that produces sound file
Comment 2 Robert M. Riches Jr. 2001-03-25 00:57:30 EST
Created attachment 13585 [details]
source to program that reads sound file
Comment 3 Robert M. Riches Jr. 2001-03-25 00:58:15 EST
Created attachment 13586 [details]
makefile for programs
Comment 4 Robert M. Riches Jr. 2001-03-29 00:58:13 EST
Upon further coding of my sound package, I found that the sample
rate problem/bug is not in the audiofile library, but an ioctl to /dev/dsp
of type SNDCTL_DSP_SPEED is incrementing the value that is
passed by reference.
Comment 5 Phil Copeland 2001-06-04 15:20:03 EDT
Need an update guv
Comment 6 Preston Brown 2001-06-11 16:02:45 EDT
What sound driver is this?

Is this still a problem in recent 2.4 kernels?

Note You need to log in before you can comment on or make changes to this bug.